/*************************************************************************
	Header file:  INSTATS.H

	INCON debug status declarations.

	Compiler:  Borland Turbo C 2.01

	INCON source files and the object and library files created from
	them are:
		Copyright (c) 1993-94, Richard Zigler.
	You may freely distribute unmodified source, object, and library
	files, and incorporate them into your own non-commercial software,
	provided that this paragraph and the program name and copyright
	strings defined in INCON.C are included in all copies.
*************************************************************************/

const enum { X1 = 1, X2 = 80, Y1 = 20, Y2 = 25 };

#define STAT_WINDOW		X1,Y1,X2,Y2		/* status window coordinates		*/
#define NUM5				0x4C				/* [Numpad 5] displays stats		*/

static int					SaveSize = ((X2 - X1 + 1) * (Y2 - Y1 + 1)) * 2;

static struct text_info	TextInfo;			/* save caller's window stats	*/
static char				*	SaveScreen,			/* buffers for screen images	*/
							*	SaveStats;
static char					StatsMask[] = "B BBB BB B B B B B B B B B B";
static char					StatsBuf[30];
static WORD				*	StatFlags =			/* InconStats() accesses		*/
								(WORD *)&Flags;	/*  Flags structure as WORD	*/

static void	pascal		Stats	( STATES, WORD *									);

/**** EOF:  INSTATS.H ****/
